CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
cppcms::application_specific_pool Class Referenceabstract

an interface for creating user applications More...

`#include <cppcms/applications_pool.h>`

Inheritance diagram for cppcms::application_specific_pool:

## Public Member Functions
booster::intrusive_ptr< application > | asynchronous_application_by_io_service (booster::aio::io_service &io_srv, cppcms::service &srv)
booster::intrusive_ptr< application > | asynchronous_application_by_io_service (booster::aio::io_service &io_srv)
Public Member Functions inherited from booster::enable_shared_from_this< application_specific_pool >
shared_ptr< application_specific_pool > | shared_from_this ()
shared_ptr< application_specific_poolconst > | shared_from_this () const
void | _internal_accept_owner (shared_ptr< X > const *ppx, Y *py) const

## Protected Member Functions
virtual application * | new_application (service &srv)=0
Protected Member Functions inherited from booster::enable_shared_from_this< application_specific_pool >
| enable_shared_from_this (enable_shared_from_this const &)
enable_shared_from_this & | operator= (enable_shared_from_this const &)

## Friends
class | applications_pool
class | application
class | http::context
void | booster::intrusive_ptr_release (cppcms::application *app)

## Detailed Description

an interface for creating user applications

New in CppCMS 1.2

## Member Function Documentation

booster::intrusive_ptr<application> cppcms::application_specific_pool::asynchronous_application_by_io_service | ( | booster::aio::io_service & | io_srv,
|  | cppcms::service & | srv
| ) |  |

Returns asynchronous application that runs at given booster::aio::io_service constext, it the application does not exist yet, it is created

Notes:

- if the application is created upon function call it would be created in the calling thread regardless if it is event loop thread or not
- If the pool isn't mounted as asynchronous pool then cppcms_error is thrown
- if the io_srv isn't main cppcms io_service cppcms_error is thrown

booster::intrusive_ptr<application> cppcms::application_specific_pool::asynchronous_application_by_io_service | ( | booster::aio::io_service & | io_srv | ) |

Returns asynchronous application that runs at given booster::aio::io_service constext, it the application does not exist yet NULL pointer is returned

Notes:

- If the pool isn't mounted as asynchronous pool then cppcms_error is thrown
- if the io_srv isn't main cppcms io_service cppcms_error is thrown

virtual application* cppcms::application_specific_pool::new_application | ( | service & | srv | ) |
| protected pure virtual

Returns newly created instance of an application, its ownership is transferred

The documentation for this class was generated from the following file:

- cppcms/applications_pool.h